#### PyKDE - Python Bindings for KDE

# class DOM.DocumentType |
Table of contents
Modules
tdehtml Classes
All Classes

Module | tdehtml
Class | DOM.DocumentType
Inherits | DOM.Node

### methods

- DocumentType ()

  returns a DocumentType instance

- DocumentType (other)

  returns a DocumentType instance
  Argument | Type | Default
  --- | --- | ---
  other | DOM.DocumentType |

- DocumentType (other)

  returns a DocumentType instance
  Argument | Type | Default
  --- | --- | ---
  other | DOM.Node |

- DocumentType (impl)

  Not Implemented

- entities ()

  returns (DOM.NamedNodeMap)

- internalSubset ()

  returns (DOM.DOMString)

- name ()

  returns (DOM.DOMString)

- notations ()

  returns (DOM.NamedNodeMap)

- publicId ()

  returns (DOM.DOMString)

- systemId ()

  returns (DOM.DOMString)